Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Logging Estimated time: 1.00 hour
Target version: 0.6

Description

An optional parser is required to get a logger configuration at start-up.
Two modes should be supported:

- Integration into existing configuration scheme of e.g. RSB. There we could define a property to another file with the logger
configuration

- Fall-back configuration using a default file name for programs that otherwise do not use the RSC configuration mechanism. They
just call something like logging::configureFromFile.

Properties would be like this:

[rsc.logging]
LEVEL = DEBUG

SYSTEM = ConsoleLoggingSystem # both properties for root logger
a.child.logger.LEVEL = WARN

Associated revisions

Revision 6f11e0ed - 03/02/2012 10:03 AM - J. Wienke

Add an OptionHandler which can be used to configure the levels of the logging system.

refs #772

Revision 96229395 - 03/02/2012 10:16 AM - J. Wienke

- remove cout

- add a short cut for configuration directly from LoggerFactory

refs #772

Revision bc3d3d60 - 03/02/2012 10:39 AM - J. Wienke

Make it possible to reselect the logging system using the config, ut only for the root logger so far

fixes #772

History
#1 - 12/15/2011 02:32 PM - J. Wienke

- Description updated

#2 - 03/01/2012 05:09 PM - J. Wienke
- Status changed from New to In Progress

#3 - 03/02/2012 10:06 AM - J. Wienke

- Target version set to 0.6

- % Done changed from 0 to 50

- Estimated time set to 1.00

| have added an option handler which can configure the logger levels based on the config interfaces.

What else do we need to fulfill the issue? A convenience wrapper in LoggerFactory?

#4 - 03/02/2012 10:40 AM - J. Wienke

- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r479.

#5 - 03/02/2012 10:42 AM - J. Wienke

Now also the logging system for the root logger can be changed. Individual loggers cannot be changed but this is a more general problem at the
moment.
